__gnu_pbds::detail::container_base_dispatch< Key, Mapped, _Alloc, ov_tree_tag, Policy_Tl > Struct Template Reference

## Public Types

typedef ov_tree_map< Key, Mapped, at0t, at1t, _Alloc > | type

## Detailed Description

### template<typename Key, typename Mapped, typename _Alloc, typename Policy_Tl>
struct __gnu_pbds::detail::container_base_dispatch< Key, Mapped, _Alloc, ov_tree_tag, Policy_Tl >

Specialization ordered-vector tree map.

Definition at line 227 of file container_base_dispatch.hpp.

## Member Typedef Documentation

template<typename Key , typename Mapped , typename _Alloc , typename Policy_Tl >

typedef ov_tree_map<Key, Mapped, at0t, at1t, _Alloc> __gnu_pbds::detail::container_base_dispatch< Key, Mapped, _Alloc, ov_tree_tag, Policy_Tl >::type

Dispatched type.

Definition at line 237 of file container_base_dispatch.hpp.

The documentation for this struct was generated from the following file:

- container_base_dispatch.hpp